org.appng.appngizer.controller

## Class SiteController.ReloadSiteFromAppNGizer

- java.lang.Object
- - org.appng.api.messaging.Event
  - - org.appng.core.controller.messaging.ReloadSiteEvent
    - - org.appng.appngizer.controller.SiteController.ReloadSiteFromAppNGizer

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    SiteController

      public static class SiteController.ReloadSiteFromAppNGizer
      extends ReloadSiteEvent
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReloadSiteFromAppNGizer(String siteName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `delayed()`
    `protected InitializerService` | `getInitializerService(Environment environment)`
    `protected org.springframework.context.ApplicationContext` | `getPlatformContext(Environment environment)`
    `protected boolean` | `isTargetNode(Environment environment)`
    `protected void` | `logIgnoreMessage(org.slf4j.Logger logger)`
    `protected void` | `setNodeId(String nodeId)`

    - ### Methods inherited from class org.appng.core.controller.messaging.ReloadSiteEvent

      `perform, wait, waitForClusterState`

    - ### Methods inherited from class org.appng.api.messaging.Event

      `getNodeId, getSiteName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReloadSiteFromAppNGizer

          public ReloadSiteFromAppNGizer(String siteName)

  - ### Method Detail

    - #### setNodeId

          protected void setNodeId(String nodeId)

      Overrides:
        `setNodeId` in class `Event`

    - #### delayed

          protected boolean delayed()

      Overrides:
        `delayed` in class `ReloadSiteEvent`

    - #### isTargetNode

          protected boolean isTargetNode(Environment environment)

    - #### logIgnoreMessage

          protected void logIgnoreMessage(org.slf4j.Logger logger)

    - #### getInitializerService

          protected InitializerService getInitializerService(Environment environment)

    - #### getPlatformContext

          protected org.springframework.context.ApplicationContext getPlatformContext(Environment environment)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.